[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TIPCClientComm.ServerRunning

Check if the server is running.

## Declaration

Source position: simpleipc.pp line 130

`public function TIPCClientComm.ServerRunning: Boolean; virtual; abstract;`

## Function result

True if the server communication channel endpoint can be reached.

## Description

ServerRunning returns True if the server endpoint of the communication channel can be found, or False if not. The server endpoint should be obtained from the ServerID and InstanceID properties of the owning TSimpleIPCClient component.

## See also

TSimpleIPCClient.InstanceID
TSimpleIPCClient.ServerID

The latest version of this document can be found at lazarus-ccr.sourceforge.net .